<div class="container card my-5">
  <h1 class="card-header mb-3">Upload your pictures here</h1>
  <div class="form-group">
    <div class="upload-center">
      <div class="upload-file-container"
           (click)="fileInput.click()"
           (dragover)="onDragOverFile($event)"
           (drop)="onDropFile($event)">

        <span class="fa fa-cloud-upload-alt"></span>
      </div>

      <input hidden type="file" multiple="multiple" accept="image/*" id="_picture" #fileInput
             (change)="selectFile($event)" (click)="$event.target.value = ''"/>
    </div>
  </div>

  <div *ngIf="images.length > 0" class="upload-preview" id="upload-preview">
    <div *ngFor="let url of images; let i = index" class="preview">
      <img [src]="url" alt="" width="250">
      <i class="fa fa-trash-alt" (click)="deletePicture(i)"></i>
    </div>
  </div>

  <div class="mb-2" *ngIf="progress.status === 'UPLOADING'">
    <div class="progress">
      <div class="progress-bar progress-bar-animated bg-info" role="progressbar" [style.width.%]="progress.percent">
        {{progress.percent}} uploading...
      </div>
    </div>
  </div>

  <div class="d-flex justify-content-center align-items-center mt-3">
    <button class="btn btn-primary add" [disabled]="files.length === 0" (click)="upload()">Add</button>
  </div>
</div>
